> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/recommendations-and-merchandising_deprecated/recos-and-merch-analytics/recos-analytics-event-format.md).

# Recos Analytics Event format

## Custom Event Name in Analytics Tool:ABTastyRecos <a href="#h_01jhg5dfq07whhmz6dfkd4yezj" id="h_01jhg5dfq07whhmz6dfkd4yezj"></a>

## Recos Analytics Event properties <a href="#h_01jhg0dn3v6m6n3x0evds2tj76" id="h_01jhg0dn3v6m6n3x0evds2tj76"></a>

| **Name**   | **Description**                                                                                            | **Possibles values** | **Recos Analytics event actions**                                                                                         | **R\&M Analytics event actions**           | **Comments**                                                                                 |
| ---------- | ---------------------------------------------------------------------------------------------------------- | -------------------- | ------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------ | -------------------------------------------------------------------------------------------- |
| action\_id | the action that led to sending the event                                                                   | an action id         | <p>show<br>set\_experience\_audience<br>add\_to\_cart\_items<br>add\_to\_cart\_item<br>go\_to\_page <br>convert\_XXXX</p> |                                            | See 'Recos Analytic Events Actions' below to find the list of possible values for action\_id |
| reco\_id   | the id of the experience concerned by the action                                                           | a reco uuid          | <p>add\_to\_cart\_items<br>add\_to\_cart\_item<br>go\_to\_page<br>show<br>close<br>convert\_XXXX</p>                      |                                            |                                                                                              |
| item\_id   | the specific item concerned by the action (like the item added to cart in an “add\_to\_cart\_item” action) | an item\_id          | <p>add\_to\_cart\_item<br>go\_to\_page</p>                                                                                |                                            |                                                                                              |
| items\_ids | a list of items concerned by the action (like the items shown in a “show” action)                          | an array of item\_id | <p>add\_to\_cart\_items<br>show</p>                                                                                       | <p>go\_to\_page<br>add\_to\_cart\_item</p> |                                                                                              |

## Recos Analytic Events Actions <a href="#h_01jhg10577wxq2trge94xq3c7e" id="h_01jhg10577wxq2trge94xq3c7e"></a>

| **action\_id**            | **Description**                                                     | **Required proprieties**                    | **Optional proprieties** | **Click action** |
| ------------------------- | ------------------------------------------------------------------- | ------------------------------------------- | ------------------------ | ---------------- |
| show                      | when an experience is shown to the user.                            | <p>reco\_id<br>action\_id<br>items\_ids</p> |                          |                  |
| go\_to\_page              | <p><br>when an item is clicked</p>                                  | <p>reco\_id<br>item\_id<br>action\_id</p>   | items\_ids               | Yes              |
| add\_to\_cart\_item       | when an item is added to cart in a recommendation                   | <p>reco\_id<br>item\_id<br>action\_id</p>   | items\_ids               | Yes              |
| add\_to\_cart\_items      | when alls the items recommended are added to cart (like in bundles) | <p>reco\_id<br>items\_ids<br>action\_id</p> |                          | Yes              |
| set\_experiment\_audience | when an experiment audience is set                                  | action\_id                                  |                          |                  |
| close                     | when an experience is closed                                        | reco\_id                                    |                          | Yes              |
| convert\_XXX              | when a conversion button is clicked (XXX can be anything)           | <p>reco\_id <br>action\_id</p>              |                          | Yes              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/recommendations-and-merchandising_deprecated/recos-and-merch-analytics/recos-analytics-event-format.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
